## qdbm
Class VillaException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--qdbm.DBMException
                        |
                        +--qdbm.VillaException

All Implemented Interfaces:
  java.io.Serializable

public class VillaException
extends DBMException

Exception container of Villa.

See Also:
  Serialized Form

Field Summary
`int` `ecode` error code

Constructor Summary
`VillaException()` Set the error code with `Villa.EMISC'.
`VillaException(int ecode)` Set the error code.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ecode

    public final int ecode

  error code

Constructor Detail

### VillaException

    public VillaException()

  Set the error code with `Villa.EMISC'.

### VillaException

    public VillaException(int ecode)

  Set the error code.

Parameters:
  `ecode` - an error code.